POST/projects/api/v3/reporting.json

Create a scheduled report.

Creates a new scheduled report along with its schedules and options. The newly created report is returned and the Location header points at its canonical URL.

Body Params

Request contains information of a report to be created or updated.

    • Name
      report
      Type
      object
      Description
      Report represents a report payload.
    • Name
      reportOptions
      Type
      array
      Description
      Option represents a report option.
    • Name
      reportSchedules
      Type
      array
      Description
      Schedule represents a report scheduling payload.

    Responses

    • Code
      201
      Type
      object
      Schema
      Description
      201 Created
      ResponseReport represents a report response.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    201 Created

    ResponseReport
    {
      "included": {
        "users": {
          "additionalProp": {
            "avatarUrl": "string",
            "canAccessPortfolio": true,
            "canAddProjects": true,
            "canManagePortfolio": true,
            "company": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "companyId": 0,
            "companyRoleId": 0,
            "createdAt": "string",
            "createdBy": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "deleted": true,
            "email": "string",
            "firstName": "string",
            "id": 0,
            "isAdmin": true,
            "isClientUser": true,
            "isPlaceholderResource": true,
            "isServiceAccount": true,
            "jobRoles": [
              {
                "id": 0,
                "meta": {},
                "type": "string"
              }
            ],
            "lastLogin": "string",
            "lastName": "string",
            "lengthOfDay": 0,
            "meta": {},
            "skills": [
              {
                "id": 0,
                "meta": {},
                "type": "string"
              }
            ],
            "teams": [
              {
                "id": 0,
                "meta": {},
                "type": "string"
              }
            ],
            "timezone": "string",
            "title": "string",
            "type": "string",
            "updatedAt": "string",
            "updatedBy": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "userCost": 0,
            "userRate": 0,
            "userRates": {
              "additionalProp": {
                "amount": 0,
                "currency": {
                  "id": 0,
                  "meta": {},
                  "type": "string"
                }
              }
            },
            "workingHour": {
              "id": 0,
              "meta": {},
              "type": "string"
            },
            "workingHoursId": 0
          }
        }
      },
      "report": {
        "color": "string",
        "description": "string",
        "format": "string",
        "id": 0,
        "layoutId": 0,
        "name": "string",
        "sourceId": 0,
        "status": "string",
        "userSavedFilterId": 0
      }
    }